Subject: Using Test::More test functions for pg_rewind

From: Daniel Gustafsson <[email-masked]>
Date: Mon, 21 Feb 2022 15:10:20 +0100

check_query() in RewindTest.pm currently has this comment before handrolling
tests for return code and stderr:

  # We don't use ok() for the exit code and stderr, because we want this
  # check to be just a single test.

The code came with the initial import of pg_rewind, and there is no further
explanation but I guess it was to make test planning easier since each
check_query would count as 1 test.  (inspecting old pre-import pg_rewind repos
on Github didn't given any other insights).  Does anymore remember the
rationale for this?

Since we moved to done_testing() with 549ec201d we no longer need be concerned
with test counts, so we can replace this with normal is() tests, as per the
attached, making the output in the errorpath consistent with other tests.
Unless I'm missing something important here.

--
Daniel Gustafsson		https://vmware.com/